Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
authorview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $Limit = $ini->variable( "eZArticleMain", "AuthorArticleLimit" )
| $locale = new eZLocale( $Language )
| $t
| $article_count =& eZArticle::authorArticleCount( $AuthorID )
| $articles =& eZArticle::authorArticleList( $AuthorID, $Offset, $Limit, $SortOrder )
| $author = new eZAuthor( $AuthorID )
| $db =& eZDB::globalDatabase()
| $i = 0
| $dateTime = new eZDateTime()

## Variable Documentation

## ◆ $article_count

$article_count =& eZArticle::authorArticleCount( $AuthorID )

Definition at line 58 of file authorview.php.

## ◆ $articles

$articles =& eZArticle::authorArticleList( $AuthorID, $Offset, $Limit, $SortOrder )

Definition at line 64 of file authorview.php.

Referenced by eZImage\articles(), eZImage\products(), and eZArticleSupplier\urlList().

## ◆ $author

$author = new eZAuthor( $AuthorID )

Definition at line 67 of file authorview.php.

## ◆ $dateTime

$dateTime = new eZDateTime()

Definition at line 77 of file authorview.php.

Referenced by eZTip\addPageView(), eZOrderStatus\altered(), eZAdClick\clickTime(), eZTipClick\clickTime(), eZArticle\created(), eZBug\created(), eZBugLog\created(), eZMessage\created(), eZSession\created(), eZTodoLog\created(), eZVoucher\created(), eZBulkMail\date(), eZTodo\date(), eZOrder\date(), eZPreOrder\date(), eZTodo\due(), eZSession\lastAccessed(), eZArticle\modified(), eZBackslashImporter\news(), eZNyheterNOImporter\news(), eZRDFImporter\news(), eZRSSImporter\news(), eZNews\originalPublishingDate(), eZForumMessage\postingTime(), eZArticle\published(), eZNews\publishingDate(), eZAppointment\setDateTime(), eZGroupEvent\setDateTime(), eZSession\store(), eZMessage\TimeRead(), eZVoucherUsed\used(), eZAd\viewStartDate(), eZTip\viewStartDate(), eZAd\viewStopDate(), and eZTip\viewStopDate().

## ◆ $db

$db =& eZDB::globalDatabase()

Definition at line 75 of file authorview.php.

## ◆ $i

$i = 0

Definition at line 76 of file authorview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 36 of file authorview.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 38 of file authorview.php.

## ◆ $Limit

$Limit = $ini->variable( "eZArticleMain", "AuthorArticleLimit" )

Definition at line 39 of file authorview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 40 of file authorview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl/", $Language, "authorview.php" )
$Language
$Language
Definition: authorview.php:38
$ini
$ini
Definition: authorview.php:36
eZTemplate
Definition: eztemplate.php:107

Definition at line 42 of file authorview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.